ur_rna.RNAstructureUI.windows

## Class PredictBimolStructureWindow

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JInternalFrame
        - - ur_rna.RNAstructureUI.windows.InternalWindow
          - - ur_rna.RNAstructureUI.windows.PredictWindowBase
            - - ur_rna.RNAstructureUI.windows.PredictBimolStructureWindow

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class PredictBimolStructureWindow
      extends PredictWindowBase

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `PredictBimolStructureWindow.PredictTask`

    - ### Nested classes/interfaces inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase

      `PredictWindowBase.BackgroundTask, PredictWindowBase.FieldInfo, PredictWindowBase.FileFieldInfo, PredictWindowBase.PredictTaskBase`

    - ### Nested classes/interfaces inherited from class ur_rna.RNAstructureUI.windows.InternalWindow

      `InternalWindow.CommandInfo`

    - ### Nested classes/interfaces inherited from class javax.swing.JInternalFrame

      `javax.swing.JInternalFrame.AccessibleJInternalFrame, javax.swing.JInternalFrame.JDesktopIcon`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `btnCancelTask`
    `private javax.swing.JButton` | `btnResetAll`
    `private javax.swing.JButton` | `btnResetOptions`
    `private javax.swing.JButton` | `btnStartCalc`
    `private javax.swing.JCheckBox` | `chkShowDescription`
    `private javax.swing.JPanel` | `contentPanel`
    `private java.util.HashMap<javax.swing.JComponent,java.lang.Object>` | `defaultOptionValues`
    `private java.lang.String` | `lastOutFile1`
    `private java.lang.String` | `lastOutFile2`
    `private java.lang.String` | `lastSeqFile1`
    `private java.lang.String` | `lastSeqFile2`
    `private javax.swing.JLabel` | `lblOptionWarning`
    `private javax.swing.JLabel` | `lblProgressPercent`
    `private javax.swing.JLabel` | `lblTaskStatus`
    `private javax.swing.JLabel` | `lblToolDescription`
    `private javax.swing.JRadioButton` | `optDNA`
    `private java.util.ArrayList<javax.swing.JComponent>` | `optionsControls`
    `private javax.swing.JRadioButton` | `optRNA`
    `private javax.swing.JPanel` | `pnlConstraints`
    `private javax.swing.JPanel` | `pnlOptions`
    `private javax.swing.JPanel` | `pnlOutput`
    `private javax.swing.JPanel` | `pnlSequences`
    `private javax.swing.JPanel` | `pnlTaskStatus`
    `private javax.swing.JProgressBar` | `prgTaskProgress`
    `private static long` | `serialVersionUID`
    `private java.util.ArrayList<javax.swing.JComponent>` | `settingsControls`
    `private java.lang.String` | `settingsNodeName`
    `private javax.swing.JSpinner` | `spnMaxEnergyDiff`
    `private javax.swing.JSpinner` | `spnMaxLoopSize`
    `private javax.swing.JSpinner` | `spnMaxStructs`
    `private javax.swing.JSpinner` | `spnTemperature`
    `private javax.swing.JSpinner` | `spnWindowSize`
    `private javax.swing.JTabbedPane` | `tabControls`
    `private javax.swing.JTextField` | `txtConFile1`
    `private javax.swing.JTextField` | `txtConFile2`
    `private javax.swing.JTextField` | `txtOutputFile1`
    `private javax.swing.JTextField` | `txtOutputFile2`
    `private javax.swing.JTextField` | `txtSeqFile1`
    `private javax.swing.JTextField` | `txtSeqFile2`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase

      `numberFormatter, pnlClient, pnlContent, TEMP_37C`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.InternalWindow

      `backend, changeListener, frameListener, log, warnings`

    - ### Fields inherited from class javax.swing.JInternalFrame

      `closable, CONTENT_PANE_PROPERTY, desktopIcon, FRAME_ICON_PROPERTY, frameIcon, GLASS_PANE_PROPERTY, iconable, IS_CLOSED_PROPERTY, IS_ICON_PROPERTY, IS_MAXIMUM_PROPERTY, IS_SELECTED_PROPERTY, isClosed, isIcon, isMaximum, isSelected, LAYERED_PANE_PROPERTY, maximizable, MENU_BAR_PROPERTY, resizable, ROOT_PANE_PROPERTY, rootPane, rootPaneCheckingEnabled, title, TITLE_PROPERTY`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredictBimolStructureWindow()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `$$$getRootComponent$$$()`
    `private void` | `$$$setupUI$$$()` Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
    `(package private) void` | `addOptionControls(javax.swing.JComponent parent)`
    `private void` | `calcComplete(PredictBimolStructureWindow.PredictTask task)`
    `private void` | `createUIComponents()`
    `protected void` | `handleSettings(boolean writeValues)`
    `private void` | `loadSettingsDefaults()`
    `protected void` | `processCommand(InternalWindow.CommandInfo ci)` Perform an action specific to this window.
    `private void` | `runCalc()`
    `private void` | `setTaskStatus(int progress, java.lang.String status)`
    `void` | `showWindow()` View the window.
    `protected void` | `updateFormUI()` Called periodically by a timer to update the user interface.
    `private boolean` | `verifyInput()`

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase

      `actionPerformed, addField, addFileField, addFileField, addFileField, autoSetFieldNames, browseFile, browseFile, browseRecentFile, cancelRunningTask, enableDescendants, focusField, formatValue, frameClosing, getControlDescription, getControlValue, getFileField, getFileField, getRunningTask, getSettingsName, getSpin, getSpinDbl, getSpinInt, handleRecentControlValues, launchDrawing, listenForActions, listenForActions, listenForActions, loadRecent, pack, runInBackground, saveRecent, saveRecentFiles, setContent, setControlValue, setSpin, setSpin, setSpin, setSpin, setSpin, setSpin, startUiTimer, stopUiTimer, stripControlPrefix, validateFailed, validateFileField, validateFileField, validateRequiredField`

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.InternalWindow

      `createCustomMenus, frameActivated, frameClosed, getCustomMenus, invokeCommand, invokeCommand, invokeCommand, isActiveFrame, notifyUpdated, onFocusGained, propertyChanged, setCaption, setCustomMenus`

    - ### Methods inherited from class javax.swing.JInternalFrame

      `addImpl, addInternalFrameListener, createRootPane, dispose, doDefaultCloseAction, fireInternalFrameEvent, getAccessibleContext, getContentPane, getDefaultCloseOperation, getDesktopIcon, getDesktopPane, getFocusCycleRootAncestor, getFocusOwner, getFrameIcon, getGlassPane, getInternalFrameListeners, getJMenuBar, getLastCursor, getLayer, getLayeredPane, getMenuBar, getMostRecentFocusOwner, getNormalBounds, getRootPane, getTitle, getUI, getUIClassID, getWarningString, hide, isClosable, isClosed, isFocusCycleRoot, isIcon, isIconifiable, isMaximizable, isMaximum, isResizable, isRootPaneCheckingEnabled, isSelected, moveToBack, moveToFront, paintComponent, paramString, remove, removeInternalFrameListener, reshape, restoreSubcomponentFocus, setClosable, setClosed, setContentPane, setCursor, setDefaultCloseOperation, setDesktopIcon, setFocusCycleRoot, setFrameIcon, setGlassPane, setIcon, setIconifiable, setJMenuBar, setLayer, setLayer, setLayeredPane, setLayout, setMaximizable, setMaximum, setMenuBar, setNormalBounds, setResizable, setRootPane, setRootPaneCheckingEnabled, setSelected, setTitle, setUI, show, toBack, toFront, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### btnCancelTask

          private javax.swing.JButton btnCancelTask

    - #### btnResetAll

          private javax.swing.JButton btnResetAll

    - #### btnResetOptions

          private javax.swing.JButton btnResetOptions

    - #### btnStartCalc

          private javax.swing.JButton btnStartCalc

    - #### chkShowDescription

          private javax.swing.JCheckBox chkShowDescription

    - #### contentPanel

          private javax.swing.JPanel contentPanel

    - #### defaultOptionValues

          private java.util.HashMap<javax.swing.JComponent,java.lang.Object> defaultOptionValues

    - #### lastOutFile1

          private java.lang.String lastOutFile1

    - #### lastOutFile2

          private java.lang.String lastOutFile2

    - #### lastSeqFile1

          private java.lang.String lastSeqFile1

    - #### lastSeqFile2

          private java.lang.String lastSeqFile2

    - #### lblOptionWarning

          private javax.swing.JLabel lblOptionWarning

    - #### lblProgressPercent

          private javax.swing.JLabel lblProgressPercent

    - #### lblTaskStatus

          private javax.swing.JLabel lblTaskStatus

    - #### lblToolDescription

          private javax.swing.JLabel lblToolDescription

    - #### optDNA

          private javax.swing.JRadioButton optDNA

    - #### optionsControls

          private java.util.ArrayList<javax.swing.JComponent> optionsControls

    - #### optRNA

          private javax.swing.JRadioButton optRNA

    - #### pnlConstraints

          private javax.swing.JPanel pnlConstraints

    - #### pnlOptions

          private javax.swing.JPanel pnlOptions

    - #### pnlOutput

          private javax.swing.JPanel pnlOutput

    - #### pnlSequences

          private javax.swing.JPanel pnlSequences

    - #### pnlTaskStatus

          private javax.swing.JPanel pnlTaskStatus

    - #### prgTaskProgress

          private javax.swing.JProgressBar prgTaskProgress

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### settingsControls

          private java.util.ArrayList<javax.swing.JComponent> settingsControls

    - #### settingsNodeName

          private final java.lang.String settingsNodeName

      See Also:
        Constant Field Values

    - #### spnMaxEnergyDiff

          private javax.swing.JSpinner spnMaxEnergyDiff

    - #### spnMaxLoopSize

          private javax.swing.JSpinner spnMaxLoopSize

    - #### spnMaxStructs

          private javax.swing.JSpinner spnMaxStructs

    - #### spnTemperature

          private javax.swing.JSpinner spnTemperature

    - #### spnWindowSize

          private javax.swing.JSpinner spnWindowSize

    - #### tabControls

          private javax.swing.JTabbedPane tabControls

    - #### txtConFile1

          private javax.swing.JTextField txtConFile1

    - #### txtConFile2

          private javax.swing.JTextField txtConFile2

    - #### txtOutputFile1

          private javax.swing.JTextField txtOutputFile1

    - #### txtOutputFile2

          private javax.swing.JTextField txtOutputFile2

    - #### txtSeqFile1

          private javax.swing.JTextField txtSeqFile1

    - #### txtSeqFile2

          private javax.swing.JTextField txtSeqFile2

  - ### Constructor Detail

    - #### PredictBimolStructureWindow

          public PredictBimolStructureWindow()

      Constructor.

  - ### Method Detail

    - #### $$$getRootComponent$$$

          public javax.swing.JComponent $$$getRootComponent$$$()

      No IDE Inspections
        ALL

    - #### $$$setupUI$$$

          private void $$$setupUI$$$()

      Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
      No IDE Inspections
        ALL

    - #### addOptionControls

          void addOptionControls(javax.swing.JComponent parent)

    - #### calcComplete

          private void calcComplete(PredictBimolStructureWindow.PredictTask task)

    - #### createUIComponents

          private void createUIComponents()

    - #### handleSettings

          protected void handleSettings(boolean writeValues)

      Specified by:
        `handleSettings` in class `PredictWindowBase`

    - #### loadSettingsDefaults

          private void loadSettingsDefaults()

    - #### processCommand

          protected void processCommand(InternalWindow.CommandInfo ci)

      Description copied from class: `InternalWindow`
      Perform an action specific to this window.
      Overrides:
        `processCommand` in class `InternalWindow`
      Parameters:
        `ci` - Information about the command.

    - #### runCalc

          private void runCalc()

    - #### setTaskStatus

          private void setTaskStatus(int progress,
                                     java.lang.String status)

    - #### showWindow

          public void showWindow()

      Description copied from class: `InternalWindow`
      View the window.
      Overrides:
        `showWindow` in class `PredictWindowBase`

    - #### updateFormUI

          protected void updateFormUI()

      Description copied from class: `PredictWindowBase`
      Called periodically by a timer to update the user interface.
      Specified by:
        `updateFormUI` in class `PredictWindowBase`

    - #### verifyInput

          private boolean verifyInput()